Update Organization Policy
PUThttps://api.confident-ai.com/v1/organization/policies/{policyId}
Updates a custom organization policy's name, description, or permissions.
curl -X PUT "https://api.confident-ai.com/v1/organization/policies/{policyId}" \
-H "CONFIDENT_API_KEY: <ORGANIZATION-API-KEY>" \
-H "Content-Type: application/json" \
-d '{
"name": "Manage billing",
"description": "Grants full access to billing settings",
"permissionIds": [
"perm-uuid-1",
"perm-uuid-2"
]
}'{
"success": true,
"data": {
"policy": {
"id": "policy-uuid-2",
"name": "Manage billing",
"description": "Grants full access to billing settings",
"permissions": [
{
"id": "perm-uuid-1",
"name": "billing:read"
},
{
"id": "perm-uuid-2",
"name": "billing:write"
}
]
}
}
}Headers
CONFIDENT_API_KEYstringRequiredThe organization API key for your Confident AI organization.
Path parameters
policyIdstringRequiredThe unique identifier of the policy.
Request body
namestringRequiredName of the policy
descriptionstringOptional description of the policy
permissionIdslist of stringsRequiredThe ids of the permissions granted by this policy
Response
successbooleanIndicates if the request was successful
dataobjectShow 1 propertyHide 1 property
policyobjectShow 4 propertiesHide 4 properties
idstringUnique identifier for the policy
namestringName of the policy
descriptionstringOptional description of the policy
permissionslist of objectsThe permissions granted by this policy
Show 2 propertiesHide 2 properties
idstringUnique identifier
namestringName